---

- name: Set authorized key with restrictions
  authorized_key:
    user: odoo
    key: "{{ lookup('file', 'central_odoo_pubkey') }}"
    key_options: 'command="/usr/bin/touch /home/odoo/kiosk",restrict'

- name: Service that monitors the file that Odoo uses for notification
  copy:
    src: monitor_file_path_unit
    dest: /etc/systemd/system/monitor-kiosk-file.path
    mode: 0644
    owner: root

- name: Script that reloads the screen when it detects the file changed
  copy:
    src: monitor_file_service_unit
    dest: /etc/systemd/system/monitor-kiosk-file.service
    mode: 0644
    owner: root

- name: Enable and start the path monitor
  systemd:
    daemon_reload: yes
    name: monitor-kiosk-file.path
    state: started
    enabled: true

